<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class clients_Controller extends Controller
{
    public $selfName = 'clients_Controller';
    public $dashboardName = 'dashboard';

	// GET /clients
	public function index(Request $request) {
		$records = DB::table('client')->get();
		$result_pros = DB::select("SELECT id, concat(name_last, ', ', name_first) as name_display FROM pro");
		return response()->view('pro/clients/index', compact('records', 'result_pros'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /clients/add_new
	public function add_new(Request $request) {
		$records = DB::table('client')->get();
		$result_pros = DB::select("SELECT uid, name_display FROM pro");
		return response()->view('pro/clients/add_new', compact('records', 'result_pros'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /clients/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/clients/view/$uid/SUB_detail");
	}
}
